[block: main]
<div class="box"><div class="head">Here you can customise your avatar to your liking</div></div>
<div class="box">
	<div class="body group">
		Avatars will be fitted to {:width} width with a height of {:height}.<br />
		<br />
		Current Avatar:<br />
		{:current_avatar}
	</div>
</div>

<div class="box">
	<div class="head">Pick from the gallery</div>
	<div class="body group">
		<form action="/usercp.php?module=avatar" method="post">
			<ul style="list-style: none; padding:5px; margin: 0;">
				{:avatar_gallery}
			</ul>
			<input type="hidden" name="csrf" value="{:csrf}" />
			<button style="clear: both" name="action" value="gallery">Pick</button>
		</form>
	</div>
</div>

<div class="box">
	<div class="head">Upload an avatar</div>
	<div class="body group">
		Max upload size: <strong>{:avatar_upload_size}</strong>
		<form method="post" action="/usercp.php?module=avatar" enctype="multipart/form-data" id="something">
		<input name="new_image" id="new_image" size="30" type="file" class="button" /><br />
		<input type="hidden" name="csrf" value="{:csrf}" />
		<button type="submit" name="action" value="Upload" class="btn btn-primary">Upload</button>
		</form>
	</div>
</div>

<div class="box">
	<div class="body group">
		<form method="post" action="/usercp.php?module=avatar">
		Use this button to reset your avatar to the default. This will delete any uploaded avatar as well!<br />
		<input type="hidden" name="csrf" value="{:csrf}" />
		<input type="submit" name="action" value="Delete" class="btn btn-danger" />
		</form>
	</div>
</div>

<div class="box">
	<div class="head">Upload an article author picture</div>
	<div class="subhead">If you plan to write content for GamingOnLinux, please provide a mugshot.</div>
	<div class="body group">
		Photos will be stretched to 125 width with a height of 125. Max upload size: <strong>{:avatar_upload_size}</strong><br />
		Current Author Photo:<br />
		<img src="{:current_author_pic}" height="125" width="125" alt="users avatar" />
		<form method="post" action="/usercp.php?module=avatar" enctype="multipart/form-data" id="something">
		<input name="new_image" id="new_image" size="30" type="file" class="button" /><br />
		<button type="submit" name="action" value="upload_author_pic" class="btn btn-primary">Upload</button> <button type="submit" name="action" value="delete_author_pic" class="btn btn-danger">Delete Photo</button>
		<input type="hidden" name="csrf" value="{:csrf}" />
		</form>
	</div>
</div>
[/block: main]
